Subject: Re: [PATCH v3 3/8] update-index: add --force-full-index option for expand/collapse test

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Oct 2021 08:24:47 -0700

Derrick Stolee <[email-masked]> writes:

> Junio, would it be better to change the config setting, and then
> update this test to use the config setting over a command-line flag?
> This would allow us to punt on the --force-full-index flag until we
> have time to focus on the 'git update-index' command and interactions
> like this.

I do not have a strong opinion on where we add the feature; as long
as we have a way to let us avoid having to unnecessarily change this
particular test, that's perfectly fine, and if we can reuse it as a
way for end-users to help those who are debugging their issues, that
would be an added bonus.

Thanks.